## org.apache.batik.css.parser
Class DefaultConditionFactory

    java.lang.Object
      org.apache.batik.css.parser.DefaultConditionFactory

All Implemented Interfaces:
  ConditionFactory

public class DefaultConditionFactory
extends java.lang.Object
implements ConditionFactory

This class provides an implementation of the `ConditionFactory` interface.

Field Summary
`static ConditionFactory` `INSTANCE` The instance of this class.

Constructor Summary
`protected` `DefaultConditionFactory()` This class does not need to be instantiated.

Method Summary
`CombinatorCondition` `createAndCondition(Condition first, Condition second)` SAC: Implements `ConditionFactory.createAndCondition(Condition,Condition)`.
`AttributeCondition` `createAttributeCondition(java.lang.String localName, java.lang.String namespaceURI, boolean specified, java.lang.String value)` SAC: Implements `ConditionFactory.createAttributeCondition(String,String,boolean,String)`.
`AttributeCondition` `createBeginHyphenAttributeCondition(java.lang.String localName, java.lang.String namespaceURI, boolean specified, java.lang.String value)` SAC: Implements `ConditionFactory.createBeginHyphenAttributeCondition(String,String,boolean,String)`.
`AttributeCondition` `createClassCondition(java.lang.String namespaceURI, java.lang.String value)` SAC: Implements `ConditionFactory.createClassCondition(String,String)`.
`ContentCondition` `createContentCondition(java.lang.String data)` SAC: Implements `ConditionFactory.createContentCondition(String)`.
`AttributeCondition` `createIdCondition(java.lang.String value)` SAC: Implements `ConditionFactory.createIdCondition(String)`.
`LangCondition` `createLangCondition(java.lang.String lang)` SAC: Implements `ConditionFactory.createLangCondition(String)`.
`NegativeCondition` `createNegativeCondition(Condition condition)` SAC: Implements `ConditionFactory.createNegativeCondition(Condition)`.
`AttributeCondition` `createOneOfAttributeCondition(java.lang.String localName, java.lang.String nsURI, boolean specified, java.lang.String value)` SAC: Implements `ConditionFactory.createOneOfAttributeCondition(String,String,boolean,String)`.
`Condition` `createOnlyChildCondition()` SAC: Implements `ConditionFactory.createOnlyChildCondition()`.
`Condition` `createOnlyTypeCondition()` SAC: Implements `ConditionFactory.createOnlyTypeCondition()`.
`CombinatorCondition` `createOrCondition(Condition first, Condition second)` SAC: Implements `ConditionFactory.createOrCondition(Condition,Condition)`.
`PositionalCondition` `createPositionalCondition(int position, boolean typeNode, boolean type)` SAC: Implements `ConditionFactory.createPositionalCondition(int,boolean,boolean)`.
`AttributeCondition` `createPseudoClassCondition(java.lang.String namespaceURI, java.lang.String value)` SAC: Implements `ConditionFactory.createPseudoClassCondition(String,String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ConditionFactory INSTANCE

  The instance of this class.

Constructor Detail

### DefaultConditionFactory

    protected DefaultConditionFactory()

  This class does not need to be instantiated.

Method Detail

### createAndCondition

    public CombinatorCondition createAndCondition(Condition first,
                                                  Condition second)
                                           throws CSSException

  SAC: Implements `ConditionFactory.createAndCondition(Condition,Condition)`.

  Specified by:
    `createAndCondition` in interface `ConditionFactory`
  Parameters:
    `first` - the first condition
    `second` - the second condition
  Returns:
    A combinator condition
  Throws:
    `CSSException` - if this exception is not supported.

### createOrCondition

    public CombinatorCondition createOrCondition(Condition first,
                                                 Condition second)
                                          throws CSSException

  SAC: Implements `ConditionFactory.createOrCondition(Condition,Condition)`.

  Specified by:
    `createOrCondition` in interface `ConditionFactory`
  Parameters:
    `first` - the first condition
    `second` - the second condition
  Returns:
    A combinator condition
  Throws:
    `CSSException` - if this exception is not supported.

### createNegativeCondition

    public NegativeCondition createNegativeCondition(Condition condition)
                                              throws CSSException

  SAC: Implements `ConditionFactory.createNegativeCondition(Condition)`.

  Specified by:
    `createNegativeCondition` in interface `ConditionFactory`
  Parameters:
    `condition` - the condition
  Returns:
    A negative condition
  Throws:
    `CSSException` - if this exception is not supported.

### createPositionalCondition

    public PositionalCondition createPositionalCondition(int position,
                                                         boolean typeNode,
                                                         boolean type)
                                                  throws CSSException

  SAC: Implements `ConditionFactory.createPositionalCondition(int,boolean,boolean)`.

  Specified by:
    `createPositionalCondition` in interface `ConditionFactory`
  Parameters:
    `position` - the position of the node in the list.
    `typeNode` - `true` if the list should contain only nodes of the same type (element, text node, ...).
    `type` - `true` true if the list should contain only nodes of the same node (for element, same localName and same namespaceURI).
  Returns:
    A positional condition
  Throws:
    `CSSException` - if this exception is not supported.

### createAttributeCondition

    public AttributeCondition createAttributeCondition(java.lang.String localName,
                                                       java.lang.String namespaceURI,
                                                       boolean specified,
                                                       java.lang.String value)
                                                throws CSSException

  SAC: Implements `ConditionFactory.createAttributeCondition(String,String,boolean,String)`.

  Specified by:
    `createAttributeCondition` in interface `ConditionFactory`
  Parameters:
    `localName` - the localName of the attribute
    `namespaceURI` - the namespace URI of the attribute
    `specified` - `true` if the attribute must be specified in the document.
    `value` - the value of this attribute.
  Returns:
    An attribute condition
  Throws:
    `CSSException` - if this exception is not supported.

### createIdCondition

    public AttributeCondition createIdCondition(java.lang.String value)
                                         throws CSSException

  SAC: Implements `ConditionFactory.createIdCondition(String)`.

  Specified by:
    `createIdCondition` in interface `ConditionFactory`
  Parameters:
    `value` - the value of the id.
  Returns:
    An Id condition
  Throws:
    `CSSException` - if this exception is not supported.

### createLangCondition

    public LangCondition createLangCondition(java.lang.String lang)
                                      throws CSSException

  SAC: Implements `ConditionFactory.createLangCondition(String)`.

  Specified by:
    `createLangCondition` in interface `ConditionFactory`
  Returns:
    A lang condition
  Throws:
    `CSSException` - if this exception is not supported.

### createOneOfAttributeCondition

    public AttributeCondition createOneOfAttributeCondition(java.lang.String localName,
                                                            java.lang.String nsURI,
                                                            boolean specified,
                                                            java.lang.String value)
                                                     throws CSSException

  SAC: Implements `ConditionFactory.createOneOfAttributeCondition(String,String,boolean,String)`.

  Specified by:
    `createOneOfAttributeCondition` in interface `ConditionFactory`
  Parameters:
    `localName` - the localName of the attribute
    `nsURI` - the namespace URI of the attribute
    `specified` - `true` if the attribute must be specified in the document.
    `value` - the value of this attribute.
  Returns:
    A "one of" attribute condition
  Throws:
    `CSSException` - if this exception is not supported.

### createBeginHyphenAttributeCondition

    public AttributeCondition createBeginHyphenAttributeCondition(java.lang.String localName,
                                                                  java.lang.String namespaceURI,
                                                                  boolean specified,
                                                                  java.lang.String value)
                                                           throws CSSException

  SAC: Implements `ConditionFactory.createBeginHyphenAttributeCondition(String,String,boolean,String)`.

  Specified by:
    `createBeginHyphenAttributeCondition` in interface `ConditionFactory`
  Parameters:
    `localName` - the localName of the attribute
    `namespaceURI` - the namespace URI of the attribute
    `specified` - `true` if the attribute must be specified in the document.
    `value` - the value of this attribute.
  Returns:
    A "begin hyphen" attribute condition
  Throws:
    `CSSException` - if this exception is not supported.

### createClassCondition

    public AttributeCondition createClassCondition(java.lang.String namespaceURI,
                                                   java.lang.String value)
                                            throws CSSException

  SAC: Implements `ConditionFactory.createClassCondition(String,String)`.

  Specified by:
    `createClassCondition` in interface `ConditionFactory`
  Parameters:
    `namespaceURI` - the namespace URI of the attribute
    `value` - the name of the class.
  Returns:
    A class condition
  Throws:
    `CSSException` - if this exception is not supported.

### createPseudoClassCondition

    public AttributeCondition createPseudoClassCondition(java.lang.String namespaceURI,
                                                         java.lang.String value)
                                                  throws CSSException

  SAC: Implements `ConditionFactory.createPseudoClassCondition(String,String)`.

  Specified by:
    `createPseudoClassCondition` in interface `ConditionFactory`
  Parameters:
    `namespaceURI` - the namespace URI of the attribute
    `value` - the name of the pseudo class
  Returns:
    A pseudo class condition
  Throws:
    `CSSException` - if this exception is not supported.

### createOnlyChildCondition

    public Condition createOnlyChildCondition()
                                       throws CSSException

  SAC: Implements `ConditionFactory.createOnlyChildCondition()`.

  Specified by:
    `createOnlyChildCondition` in interface `ConditionFactory`
  Returns:
    A "only one" child condition
  Throws:
    `CSSException` - if this exception is not supported.

### createOnlyTypeCondition

    public Condition createOnlyTypeCondition()
                                      throws CSSException

  SAC: Implements `ConditionFactory.createOnlyTypeCondition()`.

  Specified by:
    `createOnlyTypeCondition` in interface `ConditionFactory`
  Returns:
    A "only one" type condition
  Throws:
    `CSSException` - if this exception is not supported.

### createContentCondition

    public ContentCondition createContentCondition(java.lang.String data)
                                            throws CSSException

  SAC: Implements `ConditionFactory.createContentCondition(String)`.

  Specified by:
    `createContentCondition` in interface `ConditionFactory`
  Parameters:
    `data` - the data in the content
  Returns:
    A content condition
  Throws:
    `CSSException` - if this exception is not supported.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.